> For the complete documentation index, see [llms.txt](https://docs.sync.comake.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sync.comake.io/api-reference/deleted-entities.md).

# Deleted Entities

## Get Deleted Entities

## Get a list of entities that have been deleted

<mark style="color:green;">`POST`</mark> `https://acvb.standard.storage/api/custom/deleted-entities`

Gets a list of deduplicated entities that have been deleted due to Recommended Deduplications being approved. Requires a Bearer token in the Authorization header.

Example request using curl:

`curl -X POST --header "Authorization: Bearer abc123.mytoken" https://acvb.standard.storage/api/custom/deleted-entities --data '{"updated_since":"2022-08-28T01:05:42.008Z"}'`

#### Request Body

| Name                                             | Type    | Description                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------ | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| updated\_since<mark style="color:red;">\*</mark> | string  | The date to get entities deleted after in simplified extended ISO format ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)), which is always 24 or 27 characters long (`YYYY-MM-DDTHH:mm:ss.sssZ` or `±YYYYYY-MM-DDTHH:mm:ss.sssZ`, respectively). The timezone is always zero UTC offset, as denoted by the suffix `Z`. Eg. `2022-08-29T16:43:50.161Z` |
| page                                             | integer | <p>The page of results to get.</p><p>Default: 0</p>                                                                                                                                                                                                                                                                                                       |
| page\_size                                       | integer | <p>How many results to get per page.</p><p>Default: 50</p><p>Maximum: 500</p>                                                                                                                                                                                                                                                                             |
| type                                             | string  | <p>A type of entity to filter by. Accepts values <code>event</code> and <code>location</code>.</p><p>Eg. <code>event</code></p>                                                                                                                                                                                                                           |

{% tabs %}
{% tab title="200 Retrieved events successfully" %}
A sucessful response will contain a JSON object containing:

**page**: number - The page which was retrieved.

**has\_next\_page**: boolean - Whether there are more results than the previous retrieved pages or not.

**data**: array - The list if ids of deleted entities.

```json
{
  "page": 0,
  "has_next_page": false,
  "data": [
    "https://acvb.standard.storage/data/42b65406-68a7-41f2-9846-58635a30f734"
  ]
}
```

{% endtab %}

{% tab title="400 Bad Request - Incorrectly formatted parameters" %}

{% endtab %}

{% tab title="401 Permission denied - Invalid Authorization token" %}

{% endtab %}

{% tab title="402 Permission deined - Invalid Authorization header" %}

{% endtab %}
{% endtabs %}
